## org.firebirdsql.event
Interface EventManager

All Known Implementing Classes:
  FBEventManager

    public interface EventManager

An interface for registering `EventListener`s to listen for database events.

Author:
  Gabriel Reid

Method Summary
`void` `addEventListener(String eventName, EventListener listener)` Register an EventListener that will be called when an event occurs.
`void` `connect()` Make a connection with a database to listen for events.
`void` `disconnect()` Close the connection to the database.
`String` `getDatabase()` Returns the database path for the connection to the database.
`String` `getHost()` Returns the host for the connection to the database.
`String` `getPassword()` Returns the password for the connection to the database.
`int` `getPort()` Returns the port for the connection to the database.
`String` `getUser()` Returns the username for the connection to the databaes.
`void` `removeEventListener(String eventName, EventListener listener)` Remove an EventListener for a given event.
`void` `setDatabase(String database)` Sets the database path for the connection to the database.
`void` `setHost(String host)` Sets the host for the connection to the database.
`void` `setPassword(String password)` Sets the password for the connection to the database.
`void` `setPort(int port)` Sets the port for the connection to the database.
`void` `setUser(String user)` Sets the username for the connection to the database .
`int` `waitForEvent(String eventName)` Wait for the one-time occurence of an event.
`int` `waitForEvent(String eventName, int timeout)` Wait for the one-time occurence of an event.

Method Detail

### connect

    void connect()
                 throws SQLException

  Make a connection with a database to listen for events.

  Throws:
    `SQLException` - If a database communication error occurs

### disconnect

    void disconnect()
                    throws SQLException

  Close the connection to the database.

  Throws:
    `SQLException` - If a database communication error occurs

### setUser

    void setUser(String user)

  Sets the username for the connection to the database .

  Parameters:
    `username` - for the connection to the database.

### getUser

    String getUser()

  Returns the username for the connection to the databaes.

  Returns:
    the username for the connection to the database.

### setPassword

    void setPassword(String password)

  Sets the password for the connection to the database.

  Parameters:
    `password` - for the connection to the database.

### getPassword

    String getPassword()

  Returns the password for the connection to the database.

  Returns:
    the password for the connection to the database.

### setDatabase

    void setDatabase(String database)

  Sets the database path for the connection to the database.

  Parameters:
    `database` - path for the connection to the database.

### getDatabase

    String getDatabase()

  Returns the database path for the connection to the database.

  Returns:
    the database path for the connection to the database.

### getHost

    String getHost()

  Returns the host for the connection to the database.

  Returns:
    the host for the connection to the database.

### setHost

    void setHost(String host)

  Sets the host for the connection to the database.

  Parameters:
    `host` - for the connection to the database.

### getPort

    int getPort()

  Returns the port for the connection to the database.

  Returns:
    the port for the connection to the database.

### setPort

    void setPort(int port)

  Sets the port for the connection to the database.

  Parameters:
    `port` - for the connection to the database.

### addEventListener

    void addEventListener(String eventName,
                          EventListener listener)
                          throws SQLException

  Register an EventListener that will be called when an event occurs.

  Parameters:
    `eventName` - The name of the event for which the listener will be notified
    `listener` - The EventListener that will be called when the given event occurs
  Throws:
    `SQLException` - If a database access error occurs

### removeEventListener

    void removeEventListener(String eventName,
                             EventListener listener)
                             throws SQLException

  Remove an EventListener for a given event.

  Parameters:
    `eventName` - The name of the event for which the listener will be unregistered.
    `listener` - The EventListener that is to be unregistered
  Throws:
    `SQLException` - If a database access error occurs

### waitForEvent

    int waitForEvent(String eventName)
                     throws InterruptedException,
                            SQLException

  Wait for the one-time occurence of an event. This method blocks indefinitely until the event identified by the value of `eventName` occurs. The return value is the number of occurrences of the requested event.

  Parameters:
    `eventName` - The name of the event to wait for
  Returns:
    The number of occurences of the requested event
  Throws:
    `InterruptedException` - If interrupted while waiting
    `SQLException` - If a database access error occurs

### waitForEvent

    int waitForEvent(String eventName,
                     int timeout)
                     throws InterruptedException,
                            SQLException

  Wait for the one-time occurence of an event. This method blocks for a maximum of `timeout` milliseconds, waiting for the event identified by `eventName` to occur. A timeout value of `0` means wait indefinitely. The return value is the number of occurences of the event in question, or `-1` if the call timed out.

  Parameters:
    `exenvtName` - The name of the event to wait for
    `timeout` - The maximum number of milliseconds to wait
  Returns:
    The number of occurrences of the requested event, or `-1` if the call timed out
  Throws:
    `InterruptedException` - If interrupted while waiting
    `SQLException` - If a database access error occurs

Copyright © 2001-2010. All Rights Reserved.